Bug 818001 - continuous disk writes when changing volume
continuous disk writes when changing volume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
16
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 21:44 EDT by Peter Backes
Modified: 2013-02-13 07:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:34:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Backes 2012-05-01 21:44:11 EDT
Description of problem:
while changing the volume in rhythmbox, disk is written to continuously.

Version-Release number of selected component (if applicable):
rhythmbox-2.90.1-17.git20110927.fc16.i686

How reproducible:
always

Steps to Reproduce:
1. start rhythmbox
2. start stream
3. click on vulume icon
4. use mouse to move volume bar up and down

Actual results:
disk starts seeking like crazy while moving the mouse

Expected results:
no disk activity

Additional info:
apparently, the new volume setting is synced to disk instantly after each change of the volume, no matter how small, and no matter if the mouse button has been released or not. It would be better to sync the new setting to disk only after the user has closed the volume bar popup, or at least only a second or two without changes. This is not a critical setting so it doesn't need to be committed instantly after each and every minuscule change.

vm.block_dump=1 shows the following, repeating patterns:

[904933.824264] dconf-service(2566): dirtied inode 245791 (user.97D3DW) on sda7
[904933.824322] dconf-service(2566): WRITE block 8056000 on sda7 (8 sectors)
[904933.824340] dconf-service(2566): WRITE block 8056008 on sda7 (8 sectors)
[904933.824346] dconf-service(2566): WRITE block 8056016 on sda7 (8 sectors)
[904933.824599] jbd2/sda7-8(833): WRITE block 14488 on sda7 (8 sectors)
[904933.824607] jbd2/sda7-8(833): WRITE block 14496 on sda7 (8 sectors)
[904933.824611] jbd2/sda7-8(833): WRITE block 14504 on sda7 (8 sectors)
[904933.824614] jbd2/sda7-8(833): WRITE block 14528 on sda7 (8 sectors)
[904933.824619] jbd2/sda7-8(833): WRITE block 14536 on sda7 (8 sectors)
[904933.824622] jbd2/sda7-8(833): WRITE block 14544 on sda7 (8 sectors)
[904933.824626] jbd2/sda7-8(833): WRITE block 14552 on sda7 (8 sectors)
[904933.824629] jbd2/sda7-8(833): WRITE block 14560 on sda7 (8 sectors)
[904933.824633] jbd2/sda7-8(833): WRITE block 14568 on sda7 (8 sectors)
[904933.824636] jbd2/sda7-8(833): WRITE block 14576 on sda7 (8 sectors)
[904933.824993] jbd2/sda7-8(833): WRITE block 14584 on sda7 (8 sectors)
[904933.847607] dconf-service(2566): dirtied inode 245797 (user.XBS3DW) on sda7
[904933.847649] dconf-service(2566): WRITE block 8056024 on sda7 (8 sectors)
[904933.847659] dconf-service(2566): WRITE block 8056032 on sda7 (8 sectors)
[904933.847663] dconf-service(2566): WRITE block 8056040 on sda7 (8 sectors)
[904933.848545] jbd2/sda7-8(833): WRITE block 14592 on sda7 (8 sectors)
[904933.848549] jbd2/sda7-8(833): WRITE block 14600 on sda7 (8 sectors)
[904933.848552] jbd2/sda7-8(833): WRITE block 14608 on sda7 (8 sectors)
[904933.848555] jbd2/sda7-8(833): WRITE block 14616 on sda7 (8 sectors)
[904933.848557] jbd2/sda7-8(833): WRITE block 14624 on sda7 (8 sectors)
[904933.848559] jbd2/sda7-8(833): WRITE block 14632 on sda7 (8 sectors)
[904933.848561] jbd2/sda7-8(833): WRITE block 14640 on sda7 (8 sectors)
[904933.848564] jbd2/sda7-8(833): WRITE block 14648 on sda7 (8 sectors)
[904933.848566] jbd2/sda7-8(833): WRITE block 14656 on sda7 (8 sectors)
[904933.848823] jbd2/sda7-8(833): WRITE block 14664 on sda7 (8 sectors)
[904933.864642] dconf-service(2566): dirtied inode 245791 (user.JCP2DW) on sda7
[904933.864723] dconf-service(2566): WRITE block 8052320 on sda7 (8 sectors)
[904933.864730] dconf-service(2566): WRITE block 7979792 on sda7 (8 sectors)
[904933.864735] dconf-service(2566): WRITE block 7979800 on sda7 (8 sectors)
[904933.865021] jbd2/sda7-8(833): WRITE block 14672 on sda7 (8 sectors)
[904933.865028] jbd2/sda7-8(833): WRITE block 14680 on sda7 (8 sectors)
[904933.865033] jbd2/sda7-8(833): WRITE block 14688 on sda7 (8 sectors)
[904933.865038] jbd2/sda7-8(833): WRITE block 14696 on sda7 (8 sectors)
[904933.865042] jbd2/sda7-8(833): WRITE block 14704 on sda7 (8 sectors)
[904933.865046] jbd2/sda7-8(833): WRITE block 14712 on sda7 (8 sectors)
[904933.865051] jbd2/sda7-8(833): WRITE block 14720 on sda7 (8 sectors)
[904933.865056] jbd2/sda7-8(833): WRITE block 14728 on sda7 (8 sectors)
[904933.865060] jbd2/sda7-8(833): WRITE block 14736 on sda7 (8 sectors)
[904933.865842] jbd2/sda7-8(833): WRITE block 14744 on sda7 (8 sectors)
Comment 1 Fedora End Of Life 2013-01-16 07:19:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 07:34:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.